# Class: mariadbrepo
# ===========================
#
# Install MariaDB repository for your Linux OS.
#

class mariadbrepo (
  $release       = $mariadbrepo::params::release,
  $proxy_url     = $mariadbrepo::params::proxy_url,
  $proxy_user    = $mariadbrepo::params::proxy_user,
  $proxy_pass    = $mariadbrepo::params::proxy_pass,
  $debmirror     = $mariadbrepo::params::debmirror,
) inherits mariadbrepo::params {

  # Validate variables for security/fool proofing
  validate_re($release, '^5\.5$|^10\.0$|^10\.1$')

  # Anchor this as per #8040 - this ensures that classes won't float off and
  # mess everything up.  You can read about this at:
  # http://docs.puppetlabs.com/puppet/2.7/reference/lang_containment.html#known-issues
  anchor { 'mariadbrepo::begin': } ->
  class { '::mariadbrepo::install': } ->
  anchor { 'mariadbrepo::end': }
}
